summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-portage')
-rw-r--r--app-portage/mirrorselect/Manifest1
-rw-r--r--app-portage/mirrorselect/mirrorselect-2.2.4.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/app-portage/mirrorselect/Manifest b/app-portage/mirrorselect/Manifest
index fee9c2e771f..f8ad0c28758 100644
--- a/app-portage/mirrorselect/Manifest
+++ b/app-portage/mirrorselect/Manifest
@@ -1,4 +1,5 @@
DIST mirrorselect-2.2.0.1.tar.gz 13138 BLAKE2B 40a2724ee8c83018e19a56a49b677cfa3f89d56450ba743ddf67a324b43881fcd8e99022f9532499b5b4d826b8d6700a5606294af3becde1f928ecaa07338f44 SHA512 08216c381b70856dd56e903a208bc0ed202826b89136dd0b1cf69bd7cf2afa2df608ac2a0aed5161a56f51cf4bcb51f3826ad55b3a26e671ba2c68490c9cffad
DIST mirrorselect-2.2.2.tar.gz 15964 BLAKE2B 96698286c05fd96ea03ec6594c8b0849fad3b1ffdd3f1ecf1a76d205005b07bd4971211e72f10952f5155c91376192fd81efbdfdd5058c9a1c60cf731b0bacd1 SHA512 91ce16d236418ba186c447c6497684c4138afd4279a0ba95ee0f069309e8ce086a5a4ce4715ef21275362b7c3772924d422d7711d188d40c1e0b90f773765cf9
DIST mirrorselect-2.2.3.tar.gz 15230 BLAKE2B 7234ab8a681713c63b201e1ae362ea9a28d5e76b5640c6128d79c66d9967660474d0597822604defd3f562cd155524835c5ae20cbf21c5526595775b3be39dc4 SHA512 af1d3657b9ff5a6184ebfd89579a1bdbf11f7389ca12d4cd7a41cd136a553732cbbfb7675e25f7d79756b0b9e74b496d28ee5fdc8872173825262fae0052e8e2
+DIST mirrorselect-2.2.4.tar.gz 16085 BLAKE2B 67d3de3e25a993a4bfc546ae7d188b2a7e61da1cfbc85ac50119c88a81c4966959e31f88101880ba86ef27f0b0674a3d279b11135d2475d0b2fed1ea899021f5 SHA512 8749a916911088d128f9064d5aa78c3bf8b529d583db86eb6f7190959008257e231f7b0bae9a2f2fd6edc45f6d0ffb07364c16a3f190f8c97b88472c2d082037
DIST mirrorselect-test 102403 BLAKE2B 8f23cebf111912ea6fcdea5f4a50a84751a4dd0c62956555a5c0b4fbe15d2329424a65b18c3608440bc0fedd4b2d25fc74cfe91e6e434eb90b7090b36e17b65f SHA512 f43d92e9bf7e77c8f04449a786cb659bdfc07257892caca842ab4a63eb9c5351fa48130c2e163857f3233a595cea7b83f5ea9fa879b782e15b73beb62f0e5e27
diff --git a/app-portage/mirrorselect/mirrorselect-2.2.4.ebuild b/app-portage/mirrorselect/mirrorselect-2.2.4.ebuild
new file mode 100644
index 00000000000..ca96fe973d3
--- /dev/null
+++ b/app-portage/mirrorselect/mirrorselect-2.2.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+PYTHON_REQ_USE="xml"
+
+inherit eutils distutils-r1 prefix
+
+DESCRIPTION="Tool to help select distfiles mirrors for Gentoo"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Mirrorselect"
+SRC_URI="https://dev.gentoo.org/~zmedico/dist/${P}.tar.gz
+ https://dev.gentoo.org/~dolsen/releases/mirrorselect/mirrorselect-test
+ "
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+
+RDEPEND="
+ dev-util/dialog
+ net-analyzer/netselect
+ >=dev-python/ssl-fetch-0.3[${PYTHON_USEDEP}]
+ "
+
+python_prepare_all() {
+ python_setup
+ eprefixify setup.py mirrorselect/main.py
+ echo Now setting version... VERSION="${PVR}" "${PYTHON}" setup.py set_version
+ VERSION="${PVR}" "${PYTHON}" setup.py set_version || die "setup.py set_version failed"
+ distutils-r1_python_prepare_all
+}